Debian Bug report logs - #594181
alex: Generates code with warnings on big endian CPUs

version graph

Package: alex; Maintainer for alex is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for alex is src:alex.

Reported by: Erik de Castro Lopo <erikd@mega-nerd.com>

Date: Tue, 24 Aug 2010 11:42:22 UTC

Severity: normal

Tags: upstream

Found in version alex/2.3.3-1

Fixed in version alex/2.3.3-2

Done: Erik de Castro Lopo <erikd@mega-nerd.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#594181; Package alex. (Tue, 24 Aug 2010 11:42:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 24 Aug 2010 11:42:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alex: Generates code with warnings on big endian CPUs
Date: Tue, 24 Aug 2010 21:39:04 +1000
Package: alex
Version: 2.3.3-1
Severity: normal
Tags: upstream


Alex generated code compiles with warnings on big endian CPUs and we're
using it on code which we want to compile with -Werror.

I've logged a bug with upstream and submitted a patch:

    http://trac.haskell.org/haskell-platform/ticket/141

When upstream releases a new version, we can package it and close
this bug.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc64)

Kernel: Linux 2.6.32-5-powerpc64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to POSIX)
Shell: /bin/sh linked to /bin/dash

Versions of packages alex depends on:
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libffi5                   3.0.9-2        Foreign Function Interface library
ii  libgmp3c2                 2:4.3.2+dfsg-1 Multiprecision arithmetic library

alex recommends no packages.

alex suggests no packages.

-- no debconf information




Reply sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
You have taken responsibility. (Fri, 05 Nov 2010 15:21:04 GMT) Full text and rfc822 format available.

Notification sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug acknowledged by developer. (Fri, 05 Nov 2010 15:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 594181-close@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 594181-close@bugs.debian.org
Subject: Bug#594181: fixed in alex 2.3.3-2
Date: Fri, 05 Nov 2010 15:17:07 +0000
Source: alex
Source-Version: 2.3.3-2

We believe that the bug you reported is fixed in the latest version of
alex, which is due to be installed in the Debian FTP archive:

alex_2.3.3-2.debian.tar.gz
  to main/a/alex/alex_2.3.3-2.debian.tar.gz
alex_2.3.3-2.dsc
  to main/a/alex/alex_2.3.3-2.dsc
alex_2.3.3-2_amd64.deb
  to main/a/alex/alex_2.3.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594181@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erik de Castro Lopo <erikd@mega-nerd.com> (supplier of updated alex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Oct 2010 21:16:14 +1100
Source: alex
Binary: alex
Architecture: source amd64
Version: 2.3.3-2
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Erik de Castro Lopo <erikd@mega-nerd.com>
Description: 
 alex       - lexical analyser generator for Haskell
Closes: 594181
Changes: 
 alex (2.3.3-2) experimental; urgency=low
 .
   * Fix warnings in alex generated code on big endian systems (Closes: #594181).
   * debian/control: Bump Standards-Version: to 3.9.1, no changes needed.
Checksums-Sha1: 
 9d7b900c0d8a078096746bc556d7964d49e9adbc 1328 alex_2.3.3-2.dsc
 58a9e32f28fa570e3d8e9ac2ca485ba6ff04624e 5478 alex_2.3.3-2.debian.tar.gz
 41736224eb54d2cbc78c0cf4be48e6b9a7a32d3d 319018 alex_2.3.3-2_amd64.deb
Checksums-Sha256: 
 43d1c75bd0958b6a614e1687f89f33247ab6687350ac46aebe07b8497e8944e6 1328 alex_2.3.3-2.dsc
 3a8e2cd25c9f10c70cdc8b29798f5f325426af148969c8c8a8753c15c77d6fb0 5478 alex_2.3.3-2.debian.tar.gz
 d605911fd122e9d3420e9603440a7cc1415f56b83032cb025799dd9548fcf9ce 319018 alex_2.3.3-2_amd64.deb
Files: 
 7165b9b67710ec429812f936e9be418d 1328 haskell extra alex_2.3.3-2.dsc
 e146fd0231f5973b3254c2aaeac1bb58 5478 haskell extra alex_2.3.3-2.debian.tar.gz
 c2b047f4d4f521a82086a328c3c1df1d 319018 haskell extra alex_2.3.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzUH1IACgkQ9ijrk0dDIGzsmACffH+acQoLZFjPrtKPLaFBXS4q
10sAn2ogIJlgckWQmC6if134J1L+Ad/6
=O4Lz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:43:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:36:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.